package org.jeecg.module.custom.ocr.dataDao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.module.custom.ocr.dataobject.DuplicateTask;

import java.util.List;

public interface DuplicateTaskMapper extends BaseMapper<DuplicateTask> {
    void save(DuplicateTask task);

    List<DuplicateTask> getAllUnCompletedTask();

    int updateCompletedById(Long id, Long completed);

    void updateCompletedAndMaxSimilarity(Long id, Integer completed, String maxSimilarityScore);
}
